.docker_login: &docker-login
    - docker login -u gitlab-ci-token -p ${CI_JOB_TOKEN} ${CI_REGISTRY}

.docker_release:
  # stage: build or mark it in ci.yml file
  image: docker:stable
  variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_TLS_CERTDIR: ""
    IMAGE_BRANCH: "dev"
  services:
    - docker:dind
  script:
    - *docker-login
    - docker pull ${CI_REGISTRY_IMAGE}:${IMAGE_BRANCH}
    - docker tag ${CI_REGISTRY_IMAGE}:dev ${CI_REGISTRY_IMAGE}:latest  
    - docker push ${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_SLUG} 
  tags:
    - docker